| AngelScript |

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
asSVMRegisters Struct Reference

A struct with registers from the VM sent to a JIT compiled function. More...

## Public Attributes
asDWORD * | programPointer
| Points to the current bytecode instruction.
asDWORD * | stackFramePointer
| Function stack frame. This doesn't change during the function execution.
asDWORD * | stackPointer
| Top of the stack (grows downward)
asQWORD | valueRegister
| Temporary register for primitives and unmanaged references.
void * | objectRegister
| Temporary register for managed object references/handles.
asITypeInfo * | objectType
| Type of the object held in the object register.
bool | doProcessSuspend
| Set to true if the SUSPEND instruction should be processed. Do not update this value.
asIScriptContext * | ctx
| The context to which the registers belong.

## Detailed Description

The JIT compiled function will receive a pointer to this structure when called. It is the responsibility of the JIT compiled function to make sure these values are updated correctly before control is returned to the VM.

See Also
  How to build a JIT compiler

The documentation for this struct was generated from the following file:

- angelscript.h